Page MenuHomePhabricator

Use RevisionRecordInserted hook for EventBus revision-create records
Closed, ResolvedPublic

Description

From @Stas:

I've noticed that RevisionInsertComplete hook is now deprecated in favor
of RevisionRecordInserted. However, EventBus still uses
RevisionInsertComplete. Is this going to change soon? If so, will the
underlying event/topic change too? I couldn't find anything in
Phabricator about this - is there plan to change it or still use old
hook for now and foreseeable future?

I guess we should!

Event Timeline

Ottomata created this task.Feb 1 2018, 3:38 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 1 2018, 3:38 PM
Pchelolo claimed this task.Feb 1 2018, 5:34 PM
Pchelolo edited projects, added Services (doing); removed Services.
Smalyshev edited subscribers, added: Smalyshev; removed: Stas.Feb 1 2018, 8:03 PM

Change 407863 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[mediawiki/extensions/EventBus@master] Use RevisionRecordInserted hook for EventBus revision-create records

https://gerrit.wikimedia.org/r/407863

Nuria moved this task from Incoming to Radar on the Analytics board.Feb 5 2018, 5:24 PM

Change 407863 merged by jenkins-bot:
[mediawiki/extensions/EventBus@master] Use RevisionRecordInserted hook for EventBus revision-create records

https://gerrit.wikimedia.org/r/407863

mobrovac closed this task as Resolved.Jul 4 2018, 6:29 AM
mobrovac edited projects, added Services (done); removed Patch-For-Review, Services (doing).
Aklapper edited projects, added Analytics-Radar; removed Analytics.Jun 10 2020, 6:44 AM